package com.gic.haoban.manage.web.vo.chat;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @ClassName: TabHaobanGroupChatPlanOwnerLog
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年11月25日 15:29:51
 * @Modify
 * @CopyRight 
 */
public class SendExcelVO implements Serializable{

	private static final long serialVersionUID = 21697825515700L;
	/**
	 * 任务名称
	 */
	private String name;
	/**
	 * 发送人
	 */
	private String staffName;
	/**
	 * 关联导购
	 */
	private String clerkName;
	/**
	 * 关联门店
	 */
	private String storeName;
	/**
	 * 完成状态
	 */
	private Integer sendStatus;
	/**
	 * 完成状态
	 */
	private String sendStatusExcel;
	/**
	 * 已送达客户群数
	 */
	private Integer sendCount;
	/**
	 * 发送时间
	 */
	private Date sendTime;
	/**
	 * 任务开始时间
	 */
	private Date startTime;
	/**
	 * 任务结束时间
	 */
	private Date endTime;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getStaffName() {
		return staffName;
	}

	public void setStaffName(String staffName) {
		this.staffName = staffName;
	}

	public String getClerkName() {
		return clerkName;
	}

	public void setClerkName(String clerkName) {
		this.clerkName = clerkName;
	}

	public String getStoreName() {
		return storeName;
	}

	public void setStoreName(String storeName) {
		this.storeName = storeName;
	}

	public Integer getSendStatus() {
		return sendStatus;
	}

	public void setSendStatus(Integer sendStatus) {
		this.sendStatus = sendStatus;
	}

	public String getSendStatusExcel() {
		sendStatusExcel = "待发送";
		if (this.sendStatus == null){
			return sendStatusExcel;
		}
		if(this.sendStatus == 0){
			sendStatusExcel = "任务创建失败";
		}else if (this.sendStatus == 1){
			sendStatusExcel = "待发送";
		}else if (this.sendStatus == 2){
			sendStatusExcel = "已发送";
		}
		return sendStatusExcel;
	}

	public void setSendStatusExcel(String sendStatusExcel) {
		this.sendStatusExcel = sendStatusExcel;
	}

	public Integer getSendCount() {
		return sendCount;
	}

	public void setSendCount(Integer sendCount) {
		this.sendCount = sendCount;
	}

	public Date getSendTime() {
		return sendTime;
	}

	public void setSendTime(Date sendTime) {
		this.sendTime = sendTime;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}
}